- MongoDB C Driver 1.13.1 »
- API Reference »
- mongoc_stream_file_t

# mongoc_stream_file_new()

## Synopsis

    mongoc_stream_t *
    mongoc_stream_file_new (int fd);

## Parameters

- `fd`: A UNIX style file-descriptor.

Creates a new mongoc_stream_file_t using the file-descriptor provided.

## Returns

`NULL` upon failure, otherwise a newly allocated mongoc_stream_file_t that should be freed with mongoc_stream_destroy() when no longer in use.

`errno` is set upon failure.

Created using Sphinx 1.8.3, based on Sphinx Readable Theme.